/*
 * Class INDEXABLE [POINTER, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1807 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1807 [] = {0xFF01,1551,1806,881,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1807 [] = {0xFF01,1806,881,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1807 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1807 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1807 [] = {0xFF01,1806,881,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1807 [] = {0xFF01,1806,881,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1807 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1807 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1807 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1807 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1807 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1807 [] = {1806,881,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1807 [] = {0xFF01,1806,881,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1807 [] = {0xFF01,1792,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1807 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1807 [] = {0xFF01,1787,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1807 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1807 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1807 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1807 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1807 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1807 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1807[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1807), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1807), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1807), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1807), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1807), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1807), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1807), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1807), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1807), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1807), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1807), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1807), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1807), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1807), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8628, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8629, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8630, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8631, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8632, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1807), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1807), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9027, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9062, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9028, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9029, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1807), 11015, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1807), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1807), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1807), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1807), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1807), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1807), -1, 0xFFFFFFFF},
};
void Init1807(void)
{
	IDSC(desc_1807, 0, 1806);
	IDSC(desc_1807 + 1, 1, 1806);
	IDSC(desc_1807 + 32, 1134, 1806);
	IDSC(desc_1807 + 41, 1135, 1806);
	IDSC(desc_1807 + 50, 1088, 1806);
	IDSC(desc_1807 + 52, 916, 1806);
	IDSC(desc_1807 + 58, 1570, 1806);
	IDSC(desc_1807 + 61, 778, 1806);
	IDSC(desc_1807 + 62, 794, 1806);
}


#ifdef __cplusplus
}
#endif
